// Iphone 5
@media (max-width: 320px) and (max-height: 568px) {
  .lead {
    font-size: 1.5rem;
  }
  #weather-today .content .shower-container {
    height: 25vh;
  }
}

@media (min-width: 500px) {
  #weather-today {
    .content .shower-container {
      height: 40vh;
      &::before {
        height: 60vh;
      }
    }
  }
}

@media (min-width: 1000px) {
  .container {
    display: flex;
    flex-flow: row wrap;
    position: relative;
  }
  #search-container {
    position: fixed;
    width: 30% !important;
    top: 0;
    left: 0;
  }
  #weather-today {
    // padding: 1rem;
    width: 30%;
    position: fixed;
    .content {
      .shower-container {
        height: 30vh;
        &::before {
          height: 40vh;
        }
      }
    }
  }
  #weather-update {
    display: flex;
    flex-direction: column;
    justify-content: center;

    position: absolute;
    top: 0;
    right: 0;

    width: 70%;
    min-height: 100vh;

    padding: 4rem;

    .list-weather {
      grid-template-columns: repeat(5, 1fr);
      gap: 1rem;
    }

    .highlights {
      .highlight-wrap {
        display: grid;
        grid-template-columns: repeat(2, 45.2%);
        gap: 3.5rem;
        margin: 0;
        .card {
          margin: 0;
        }
        .card:nth-child(3),
        .card:nth-child(4) {
          height: 10rem;
        }
      }
    }
  }
  .footer {
    margin-top: 2rem;
    margin-bottom: 0;
    text-align: center;
  }
}

// 1024×576 and
@media (max-height: 580px) {
  #weather-today {
    .content .shower-container {
      height: 30vh;
    }
  }
  #weather-today .content h1 {
    font-size: 5rem;
  }
}
